********************************************************************
**                                                                **
**               IBM-PC Installation of DISLIN                    **
**                                                                **
**  Contents:  1.)  Introduction                                  **
**             2.)  Check the Contents of the Distribution Disk   **
**             3.)  Installation of DISLIN                        **
**             4.)  Programming with DISLIN                       **
**                                                                **
**  Date   :   15.01.1999                                         **
**  Version:   7.1     /  Windows 95 , G77/GCC-MINGW32            **
**  Author :   Helmut Michels, Tel.: +49 5556 979 334             ** 
**             MPI fuer Aeronomie, Max-Planck-Str. 2,             **
**             D-37191 Katlenburg-Lindau, Germany                 **
**             E-mail: michels@linmpi.mpg.de                      **
********************************************************************

1.)  Introduction

     DISLIN is a  library  of routines for easy drawing of axis sys-
     tems,  curves,  legends,  bar graphs,  pie charts,   3-D colour
     plots, surfaces, contours and maps. 

     This is the Windows 95/NT  version of  DISLIN  for the  mingw32
     compiler GCC 2.8.1.


     Notes: 

       - This version of DISLIN is free software.  You can copy  and
         redistribute it. 

       - A free version of mingw32 is available from

         http://agnes.dida.physik.uni-essen.de/~janjaap/mingw32/index.html


2.)  Check the Contents of the Distribution Disk

     The Windows 95 version of the graphics  software DISLIN is dis- 
     tributed as two .zip files created with the file packaging uti-
     lity ZIP (version 1.9). The .zip files have the file names
     DL_nn_M1.ZIP and DL_nn_M2.ZIP  where nn  is the current version
     number of DISLIN.

     The DISLIN distribution disks contain the following files:

     Disk 1                            Disk 2

     DISLIN.INF                        DL_71_M2.ZIP
     README.INF
     DL_71_M1.ZIP    
     UNZIP.EXE


3.)  Installation of DISLIN

  a) Copy all files  of the distribution disk to a temporary working
     directory:

     for example:   md  c:\install
                    cd  c:\install
                    copy a:\*.*  *.*

  b) Extract the DISLIN files with the command

                 unzip  -o dl_71_m1.zip
                 unzip  -o dl_71_m2.zip


  c) Run the setup program with the command

                  setup

     -  Choose OK

     -  Give the Installation Directory where  DISLIN  should be in-
        stalled. The default directory is C:\DISLIN.


  d) Reconfigure the System

     Add the DISLIN\WIN directory to the PATH environment in the 
     file AUTOEXEC.BAT

     for example:  PATH C:\BIN;C:\DISLIN\WIN

     Add the DISLIN environment variable DISLIN to the autoexec.bat
     file:

     for example:  SET DISLIN=c:\dislin   
   

  e) Now you can compile,  link and run the example programs in the
     DISLIN directory with the commands

                    clink  -a  exampl_w    (gcc) 
                    dlink  -a  exampls    (g77)

     Note: Normally,  the linker  of GCC creates  a Windows  console 
           program.  This means  that a console is created automati-
           cally  by the  operating system  for  using  standard I/O 
           functions such as printf and scanf.  You can suppress the
           console  window by using the switch  '-mwindows'  in gcc.
           In this case,  you can manage I/O with  the DISLIN widget
           routines  and you  should  use  the statement
           'winapp ("windows");' before 'disini',  which  means that  
           DISLIN warnings are written to a file and that the proto-
           col in disfin is displayed in a widget.

